import request from '@/utils/axios'

// 获取支出的菜单
export function getMenu(params) {
    return request({
        url: '/basic/menu/',
        method: 'get',
        params
    })
}

// 新增支出的菜单
export function postMenu(data) {
    return request({
        url: '/basic/menu/',
        method: 'post',
        data
    })
}

// 更新支出菜单的内容
export function putMenu(data) {
    return request({
        url: `/basic/menu/${data.id}/`,
        method: 'put',
        data
    })
}

// 删除支出菜单
export function deleteMenu(id) {
    return request({
        url: `/basic/menu/${id}/`,
        method: 'delete',
    })
}

// 获取统计报表api
export function getStatistics(params) {
    return request({
        url: '/basic/statistics/',
        method: 'get',
        params
    })
}
