import request from '@/utils/axios'

// 获取图书
export function getBook(id) {
    if (id == null) {
        return request({
            url: '/api/book/',
            method: 'get'
        })
    }
    else {
        return request({
            url: `/api/book/${id}`,
            method: 'get'
        })
    }
}

// 新增图书
export function postBook(data) {
    return request({
        url: '/api/book/',
        method: 'post',
        data
    })
}

// 更新图书内容
export function putBook(id, data) {
    return request({
        url: `/api/book/${id}/`,
        method: 'put',
        data
    })
}

// 删除图书
export function deleteBook(id) {
    return request({
        url: `/api/book/${id}/`,
        method: 'delete',
    })
}

// 获取图书类型
export function getType() {
    return request({
        url: '/api/type',
        method: 'get'
    })
}

// 获取作者信息
export function getAuthor(params) {
    return request({
        url: '/api/author/',
        method: 'get',
        params
    })
}