import request from '@/utils/axios'

export function reportList(limit, offset) {
    return request({
        url: '/report/?limit=' + limit + '&offset=' + offset,
        method: 'get'
    })
}

// 根据id获取日报详情
export function reportDe(id) {
    return request({
        url: '/report/' + id,
        method: 'get'
    })
}

// 根据标题和内容新增一个日报
export function reportSave(data) {
    return request({
        url: '/report/',
        method: 'post',
        data: data
    })
}

// 根据id删除日报
export function reportDelete(id) {
    return request({
        url: '/report/' + id,
        method: 'delete',
    })
}

export function reportPut(id, data) {
    return request({
        url: '/report/' + id + '/',
        method: 'put',
        data
    })
}